# OneUp Learning SDK

This is a Python SDK to allow for the scripting and integration of the [OneUp Learning platform](https://oneup.wssu.edu/login) developed by West-Salem State University.

## Installation

The package is available through Python's package management system:

```shell
pip install oneupsdk
```

## Configuration

You can request an account by contacting [Darina Dicheva](https://www.wssu.edu/profiles/dichevad/index.html). Once you have an account, create a `config.yaml` file containing your authentication information. This file is parsed by the SDK to authenticate your API calls.

```yaml
oneup:
  username: "username"
  password: "OneUP-P4ssW04d!"
```

## References

Dicheva, Darina, Keith Irwin, and Christo Dichev. "OneUp learning: a course gamification platform." In _International Conference on Games and Learning Alliance_, pp. 148-158. Springer, Cham, 2017. ([link](https://link.springer.com/chapter/10.1007/978-3-319-71940-5_14))

Dicheva, Darina, Keith Irwin, and Christo Dichev. "OneUp: Supporting Practical and Experimental Gamification of Learning." _International Journal of Serious Games_ 5, no. 3 (2018): 5-21. ([link](http://journal.seriousgamessociety.org/index.php/IJSG/article/view/236))

Dicheva, Darina, Keith Irwin, and Christo Dichev. "OneUp: Engaging Students in a Gamified Data Structures Course." In _Proceedings of the 50th ACM Technical Symposium on Computer Science Education_, pp. 386-392. 2019. ([link](https://dl.acm.org/doi/abs/10.1145/3287324.3287480))